---
title: Get ownership challenge
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Logpush](https://developers.cloudflare.com/api/go/resources/logpush)

[Ownership](https://developers.cloudflare.com/api/go/resources/logpush/subresources/ownership)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get ownership challenge

client.Logpush.Ownership.New(ctx, params) (\*[OwnershipNewResponse](<https://developers.cloudflare.com/api/go/resources/logpush#(resource)%20logpush.ownership%20%3E%20(model)%20OwnershipNewResponse%20%3E%20(schema)>), error)

POST/{accounts\_or\_zones}/{account\_or\_zone\_id}/logpush/ownership

Gets a new ownership challenge sent to your destination.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Logs Write`

##### ParametersExpand Collapse

<details>

<summary>

params OwnershipNewParams

</summary>

DestinationConf param.Field\[string]

Body param: Uniquely identifies a resource (such as an s3 bucket) where data. will be pushed. Additional configuration parameters supported by the destination may be included.

formaturi

maxLength4096

<a href="#(resource)%20logpush.ownership%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20destination_conf">Link to this property</a>

AccountID param.Field\[string]Optional

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

<a href="#(resource)%20logpush.ownership%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

ZoneID param.Field\[string]Optional

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

<a href="#(resource)%20logpush.ownership%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20logpush.ownership%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type OwnershipNewResponse struct{…}

</summary>

Filename stringOptional

<a href="#(resource)%20logpush.ownership%20%3E%20(model)%20OwnershipNewResponse%20%3E%20(schema)%20%3E%20(property)%20filename">Link to this property</a>

Message stringOptional

<a href="#(resource)%20logpush.ownership%20%3E%20(model)%20OwnershipNewResponse%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

Valid boolOptional

<a href="#(resource)%20logpush.ownership%20%3E%20(model)%20OwnershipNewResponse%20%3E%20(schema)%20%3E%20(property)%20valid">Link to this property</a>

</details>

[Link to this property](<#(resource)%20logpush.ownership%20%3E%20(model)%20OwnershipNewResponse%20%3E%20(schema)>)

### Get ownership challenge

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/logpush"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  ownership, err := client.Logpush.Ownership.New(context.TODO(), logpush.OwnershipNewParams{
    DestinationConf: cloudflare.F("s3://mybucket/logs?region=us-west-2"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", ownership.Valid)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "filename": "logs/challenge-filename.txt",
    "message": "",
    "valid": true
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "filename": "logs/challenge-filename.txt",
    "message": "",
    "valid": true
  }
}
```